name: Build
run-name: Build ${{ github.event.repository.name }} for ${{ github.actor }}
on: [ push, pull_request ]
env: 
    HUSKY: 0
    TERM: xterm
    DOTNET_SYSTEM_CONSOLE_ALLOW_ANSI_COLOR_REDIRECTION: true
    DOTNET_CONSOLE_ANSI_COLOR: true
    DOTNET_CLI_TELEMETRY_OPTOUT: true

jobs:
    Build:
        runs-on: [ ubuntu-latest ]
        steps:
            -   name: Checkout
                uses: actions/checkout@v4
                with:
                    fetch-depth: 0
            -   name: Setup .NET
                uses: actions/setup-dotnet@v4
                with:
                    dotnet-version: 9.0.x
                    cache: true
                    cache-dependency-path: Directory.Packages.props
            -   name: Restore
                run: dotnet restore PkmnLib.NET.slnx --nologo --verbosity quiet
            -   name: Build
                run: dotnet build PkmnLib.NET.slnx -c Release --nologo --verbosity quiet -p:NoWarn=CS1591
            -   name: Test
                run: dotnet test -c Release --nologo --no-restore --no-build -- --disable-logo